probe::scsi.iocompleted
Prev | Chapter 10. SCSI Tapset | Next

## Name

probe::scsi.iocompleted — SCSI mid-layer running the completion processing for block device I/O requests

## Synopsis

    scsi.iocompleted

## Values

`lun`

  The lun number

`data_direction_str`

  Data direction, as a string

`channel`

  The channel number

`host_no`

  The host number

`req_addr`

  The current struct request pointer, as a number

`goodbytes`

  The bytes completed

`device_state`

  The current state of the device

`data_direction`

  The data_direction specifies whether this command is from/to the device

`device_state_str`

  The current state of the device, as a string

`dev_id`

  The scsi device id

Prev | Up | Next
Chapter 10. SCSI Tapset | Home | probe::scsi.iodispatching